ulams tasks
Generated from front/cli (ulams schema)
ulams tasks complete
Section titled “ulams tasks complete”Complete task.
Kind: write. Stability: stable. MCP tool: tasks_complete. Scopes: reports:write.
Endpoints: POST /api/admin/tasks/complete/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
--body |
unknown | Request body (JSON) |
# Complete taskulams tasks complete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams tasks create
Section titled “ulams tasks create”Store a newly created task.
Kind: write. Stability: stable. MCP tool: tasks_create. Scopes: reports:write.
Endpoints: POST /api/admin/tasks.
| Flag | Type | Required | Description |
|---|---|---|---|
--description |
string | description | |
--due-date |
string | due_date | |
--related-id |
integer | related_id | |
--related-type |
string | related_type | |
--title |
string | yes | title |
--type |
string | type | |
--user-id |
integer | yes | user_id |
# Store a newly created taskulams tasks create --title Example --user-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "description": { "type": "string", "description": "description" }, "due_date": { "type": "string", "description": "due_date" }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "related_id" }, "related_type": { "type": "string", "description": "related_type" }, "title": { "type": "string", "description": "title" }, "type": { "type": "string", "description": "type" }, "user_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "user_id" } }, "required": [ "title", "user_id" ], "additionalProperties": {}}ulams tasks delete
Section titled “ulams tasks delete”Remove the specified task.
Kind: destructive (idempotent). Stability: stable. MCP tool: tasks_delete. Scopes: reports:write.
Endpoints: DELETE /api/admin/tasks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
# Remove the specified taskulams tasks delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" } }, "required": [ "id" ], "additionalProperties": {}}ulams tasks get
Section titled “ulams tasks get”Task details.
Kind: read (idempotent). Stability: stable. MCP tool: tasks_get. Scopes: reports:read.
Endpoints: GET /api/admin/tasks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
# Task detailsulams tasks get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" } }, "required": [ "id" ], "additionalProperties": {}}ulams tasks incomplete
Section titled “ulams tasks incomplete”Incomplete task.
Kind: write. Stability: stable. MCP tool: tasks_incomplete. Scopes: reports:write.
Endpoints: POST /api/admin/tasks/incomplete/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
--body |
unknown | Request body (JSON) |
# Incomplete taskulams tasks incomplete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams tasks list
Section titled “ulams tasks list”Get a listing of the tasks.
Kind: read (idempotent). Stability: stable. MCP tool: tasks_list. Scopes: reports:read.
Endpoints: GET /api/admin/tasks.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--title |
string | Task title %LIKE% | |
--type |
string | Task type | |
--user-id |
integer | Task user_id | |
--created-by-id |
integer | Task created_by_id | |
--related-type |
string | Task related_type | |
--related-id |
integer | Task related_id | |
--related-ids[] |
array | An array of related_id | |
--due-date-from |
string | Due date from | |
--due-date-to |
string | Due date to |
# Get a listing of the tasksulams tasks list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "title": { "type": "string", "description": "Task title %LIKE%" }, "type": { "type": "string", "description": "Task type" }, "user_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Task user_id" }, "created_by_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Task created_by_id" }, "related_type": { "type": "string", "description": "Task related_type" }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Task related_id" }, "related_ids[]": { "type": "array", "items": { "type": "number" }, "description": "An array of related_id" }, "due_date_from": { "type": "string", "description": "Due date from" }, "due_date_to": { "type": "string", "description": "Due date to" } }, "additionalProperties": {}}ulams tasks notes
Section titled “ulams tasks notes”Store a newly created task note.
Kind: write. Stability: stable. MCP tool: tasks_notes. Scopes: reports:write.
Endpoints: POST /api/admin/tasks/notes.
| Flag | Type | Required | Description |
|---|---|---|---|
--note |
string | yes | note |
--task-id |
integer | yes | task_id |
# Store a newly created task noteulams tasks notes --note text --task-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "note": { "type": "string", "description": "note" }, "task_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "task_id" } }, "required": [ "note", "task_id" ], "additionalProperties": {}}ulams tasks notes-delete
Section titled “ulams tasks notes-delete”Remove the specified task notes.
Kind: destructive (idempotent). Stability: stable. MCP tool: tasks_notes_delete. Scopes: reports:write.
Endpoints: DELETE /api/admin/tasks/notes/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task note |
# Remove the specified task notesulams tasks notes-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task note" } }, "required": [ "id" ], "additionalProperties": {}}ulams tasks notes-update
Section titled “ulams tasks notes-update”Update task note.
Kind: write. Stability: stable. MCP tool: tasks_notes_update. Scopes: reports:write.
Endpoints: PATCH /api/admin/tasks/notes/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task note |
--note |
string | note | |
--task-id |
integer | task_id |
# Update task noteulams tasks notes-update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task note" }, "note": { "type": "string", "description": "note" }, "task_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "task_id" } }, "required": [ "id" ], "additionalProperties": {}}ulams tasks update
Section titled “ulams tasks update”Update the specified task.
Kind: write. Stability: stable. MCP tool: tasks_update. Scopes: reports:write.
Endpoints: PATCH /api/admin/tasks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
--description |
string | description | |
--due-date |
string | due_date | |
--related-id |
integer | related_id | |
--related-type |
string | related_type | |
--title |
string | title | |
--type |
string | type | |
--user-id |
integer | user_id |
# Update the specified taskulams tasks update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" }, "description": { "type": "string", "description": "description" }, "due_date": { "type": "string", "description": "due_date" }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "related_id" }, "related_type": { "type": "string", "description": "related_type" }, "title": { "type": "string", "description": "title" }, "type": { "type": "string", "description": "type" }, "user_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "user_id" } }, "required": [ "id" ], "additionalProperties": {}}